Name:      rosegarden4
Version:   1.7.3
Release:   3%{?dist}
Summary:   MIDI, audio and notation editor
Group:     Applications/Multimedia
License:   GPLv2+
URL:       http://www.rosegardenmusic.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://downloads.sourceforge.net/sourceforge/rosegarden/rosegarden-%{version}.tar.bz2
Patch2:  rosegarden-1.5.1-lib64.patch

BuildRequires: cmake
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: kdelibs3-devel
BuildRequires: fftw-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: liblo-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: dssi-devel
BuildRequires: lirc-devel

Requires: kdebase
Requires: perl-XML-Twig

%description
Rosegarden is a professional audio and MIDI sequencer, score editor, and
general purpose music composition and editing environment.

Rosegarden is an easy to learn, attractive application, ideal for composers,
musicians, music students, and small studio or home recording environments. 

%prep
%setup -q -n rosegarden-%{version}
# Look for LADSPA/DSSI plugins in the correct place on 64bit platforms 
%if "%{_lib}" == "lib64"
%patch2 -p1
%endif

# Fix permissions:
chmod 644 src/commands/segment/SegmentSplitTwiceCommand.*

# Add GenericName to the desktop file:
echo "GenericName=Audio and MIDI Sequencer" >> data/desktop/rosegarden.desktop

# Put quotes around this item, otherwise the script will fail. RHBZ#464046
sed -i 's|\(`send_dcop wasCancelled`\)|"\1"|' src/helpers/rosegarden-lilypondview

%build
%cmake . -DCMAKE_CXX_FLAGS="%{optflags}"
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mv %{buildroot}%{_datadir}/applications/kde/rosegarden.desktop \
   %{buildroot}%{_datadir}/applications/

desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --delete-original \
  --remove-category X-SuSE-Sequencer \
  --remove-category X-Red-Hat-Base \
  %{buildroot}%{_datadir}/applications/rosegarden.desktop

%find_lang rosegarden

%check
#ctest

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/locolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/locolor &>/dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f rosegarden.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/rosegarden
%{_bindir}/rosegarden-audiofile-importer
%{_bindir}/rosegarden-lilypondview
%{_bindir}/rosegarden-project-package
%{_bindir}/rosegardensequencer
%{_datadir}/applications/fedora-rosegarden.desktop
%{_datadir}/apps/profiles/rosegarden.profile.xml
%{_datadir}/apps/rosegarden/
%{_docdir}/HTML/*/rosegarden/
%{_datadir}/icons/hicolor/16x16/apps/rosegarden.png
%{_datadir}/icons/hicolor/16x16/mimetypes/x-rosegarden.png
%{_datadir}/icons/hicolor/32x32/apps/rosegarden.png
%{_datadir}/icons/hicolor/32x32/mimetypes/x-rosegarden.png
%{_datadir}/icons/hicolor/48x48/apps/rosegarden.png
%{_datadir}/icons/hicolor/64x64/apps/rosegarden.png
%{_datadir}/icons/hicolor/128x128/apps/rosegarden.png
%{_datadir}/icons/locolor/16x16/apps/rosegarden.xpm
%{_datadir}/icons/locolor/16x16/mimetypes/x-rosegarden.png
%{_datadir}/icons/locolor/32x32/apps/rosegarden.xpm
%{_datadir}/icons/locolor/32x32/mimetypes/x-rosegarden.png
%{_datadir}/mimelnk/audio/x-rosegarden21.desktop
%{_datadir}/mimelnk/audio/x-rosegarden.desktop
%{_datadir}/mimelnk/audio/x-rosegarden-device.desktop
%{_datadir}/mimelnk/audio/x-soundfont.desktop

%changelog
* Sat Mar 07 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.7.3-3
- The software makes use of kdialog. Thus we re-add Requires: kdebase.

* Fri Mar 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.7.3-2
- Add Requires: perl-XML-Twig. RHBZ#468919
- Fix the lilypondview script. RHBZ#464046

* Fri Mar 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.7.3-1
- New upstream version.

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> -  1.6.1-2
- fix rawhide build (#434424)
- drop: Requires: kdebase3 (don't want a hard dep here)
- drop scriptlet deps (undesirable)
- fix 64bit platform %%if

* Wed Feb 13 2008 Callum Lerwick <seg@haxxed.com> - 1.6.1-1
- New upstream version.

* Wed Dec 12 2007 Callum Lerwick <seg@haxxed.com> - 1.6.0-1
- New upstream version.
- Patch cmakelists to use our optflags. (bz330631)

* Wed May 02 2007 Callum Lerwick <seg@haxxed.com> - 1.5.1-1
- New upstream version.

* Tue Feb 13 2007 Callum Lerwick <seg@haxxed.com> - 1.5.0-1
- New upstream version.

* Sat Nov 11 2006 Callum Lerwick <seg@haxxed.com> - 1.4.0-1
- New upstream version.

* Tue Sep 05 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-5
- Bump for FC6 mass rebuild.

* Sun Jul 23 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-4
- Add dependency on kdebase so help works.

* Sun Jul 16 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-3
- Look for DSSI plugins in the correct place on x86_64.
- Add gettext BR.

* Sat Jun 17 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-2
- Removed which from Buildrequires, mock needing it is confirmed to be a bug.
- Use find_lang macro.
- Look for ladspa plugins in the correct place on x86_64.
- Build against liblo, jack, dssi, lirc.
- Salvage the upstream desktop file, rather than using our own.

* Sat Apr 15 2006 Callum Lerwick <seg@haxxed.com> - 1.2.3-1
- Initial packaging for Extras.
